package com.apobates.forum.thrones.admin.controller.form;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * 话题类型
 * @author xiaofanku
 * @since 20200603
 */
public class TopicCategoryForm extends ActionForm {
    //名称
    @NotBlank(message="{NotBlank.TopicCategoryForm.names}")
    private String names;
    //英文值
    @NotBlank(message="{NotBlank.TopicCategoryForm.envalue}")
    @Pattern(regexp = "^[A-Za-z]+$", message="{Pattern.TopicCategoryForm.envalue}")
    private String envalue;
    
    public String getNames() {
        return names;
    }
    
    public void setNames(String names) {
        this.names = names;
    }
    
    public String getEnvalue() {
        return envalue;
    }
    
    public void setEnvalue(String envalue) {
        this.envalue = envalue;
    }
}